## geany-plugins 2.0

=== debian/changelog ===
geany-plugins (2.0-6) unstable; urgency=medium

  * [18b58ae] Fix location mismatch in geanygendoc manual files.
    Fixes: https://github.com/geany/geany-plugins/issues/992

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 16 Jan 2025 19:26:21 +0800

geany-plugins (2.0-5) unstable; urgency=medium

  * [8118601] Use GEANY_ABI shipped by geany itself.
    Geany 2.0-2 ships a file in
    /usr/lib/$(DEB_HOST_MULTIARCH)/geany/debian-abi-helper that contains
    GEANY_ABI and GEANY_API shell variables. Use this instead of inferring the
    ABI virtual package name from the C header.
  * [e2fa264] Port to webkit2gtk-4.1
  * [8c8a9ca] Patch to fix projectorganizer compile error

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 11 Nov 2024 15:26:17 +0800

geany-plugins (2.0-4) unstable; urgency=medium

  * Acknowledge NMUs (2.0-2.1 and 2.0-2.2)
  [ Bastian Germann ]
  * [eaa5574] Import Debian changes 2.0-2.1
    geany-plugins (2.0-2.1) unstable; urgency=medium
    .
      * Non-maintainer upload
      * Drop unused Build-Depends: libwnck-dev (Closes: #1041807)
  * [574d914] Import Debian changes 2.0-2.2
    geany-plugins (2.0-2.2) unstable; urgency=medium
    .
      * Non-maintainer upload
      * Enable building arch-all packages (Closes: #1055990)

  [ Chow Loong Jin ]
  * [3503066] Drop debian/abiversion.sh.
    Should have been cleaned by debian/cleanfiles
  * [e55ff68] Rename debian/cleanfiles to debian/clean

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 18 Nov 2023 17:29:26 +0800

geany-plugins (2.0-3) unstable; urgency=medium

  * Acknowledge NMU (1.38+dfsg-2.1), changes below:
  [ Bastian Germann ]
  * [86f9dae] Import Debian changes 1.38+dfsg-2.1
    geany-plugins (1.38+dfsg-2.1) unstable; urgency=medium
    .
      * Non-maintainer upload
      * Drop unused Build-Depends: libwnck-dev (Closes: #1041807)
      * Move to Build-Depends: libgdk-pixbuf-2.0-dev (Closes: #1037373)

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 17 Nov 2023 19:16:10 +0800

geany-plugins (2.0-2.2) unstable; urgency=medium

  * Non-maintainer upload
  * Enable building arch-all packages (Closes: #1055990)

 -- Bastian Germann <bage@debian.org>  Wed, 15 Nov 2023 16:10:58 +0100

geany-plugins (2.0-2.1) unstable; urgency=medium

  * Non-maintainer upload
  * Drop unused Build-Depends: libwnck-dev (Closes: #1041807)

 -- Bastian Germann <bage@debian.org>  Wed, 15 Nov 2023 12:28:36 +0100

geany-plugins (2.0-2) unstable; urgency=medium

  * Reupload with binary for NEW

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 10 Nov 2023 12:18:49 +0800

geany-plugins (2.0-1) unstable; urgency=medium

  [ Adrian Bunk ]
  * [6d29a0d] Import Debian changes 1.38+dfsg-1.1
    geany-plugins (1.38+dfsg-1.1) unstable; urgency=medium
    .
      * Non-maintainer upload.
      * Backport upstream fix for FTBFS with libgit 2 >= 1.4.
        (Closes: #1021127)

  [ Chow Loong Jin ]
  * [b931eba] New upstream version 2.0
  * [1d16c4c] Refresh patches
  * [6df841d] Build-dep on geany 2.0
  * [248a0f6] Upgrade debhelper compat to 13
  * [e02d57c] Upgrade libgdk-pixbuf build-dep to new name
  * [471c542] Drop superfluous file patterns from debian/copyright
  * [cda2aaa] Port --list-missing flag to dh_missing
  * [73df916] Update plugin enable flags
  * [9dc9035] Drop unnecessary dh --parallel flag
  * [30eb776] Drop useless-autoreconf-build-depends
  * [b61a685] Reenable webhelper plugin
  * [a9b9b73] Drop obsolete plugins
    multiterm and geanypy are now gone from the upstream package
  * [445292a] Add library-not-linked-against-libc lintian-override
    geanyextrasel appears to be compiled normally but the libc linkage was
    dropped due to -Wl,--as-needed
  * [49479be] Convert geanylatex html files to utf-8

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 06 Nov 2023 12:47:15 +0800

geany-plugins (1.38+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload
  * Drop unused Build-Depends: libwnck-dev (Closes: #1041807)
  * Move to Build-Depends: libgdk-pixbuf-2.0-dev (Closes: #1037373)

 -- Bastian Germann <bage@debian.org>  Sun, 17 Sep 2023 19:58:30 +0000

geany-plugins (1.38+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream fix for FTBFS with libgit 2 >= 1.4.
    (Closes: #1021127)

 -- Adrian Bunk <bunk@debian.org>  Sat, 15 Oct 2022 12:38:19 +0300
