## geany-plugins 2.1

=== debian/changelog ===
geany-plugins (2.1-0.1~mx25+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 08 Jul 2025 13:32:05 -0700

geany-plugins (2.1-0ubuntu1~ubuntu22.04) jammy; urgency=medium

  * New upstream release.

 -- pandajim (key for lives deb) <ubuntuhandbook1@gmail.com>  Mon, 7 Jul 2025 19:11:05 +0000

geany-plugins (2.0-4ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 05:39:05 +0000

geany-plugins (2.0-4ubuntu4) noble; urgency=medium

  * No-change rebuild against libgpgme t64.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Mar 2024 16:49:06 +0100

geany-plugins (2.0-4ubuntu3) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:38:39 +0000

geany-plugins (2.0-4ubuntu2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:27:01 +0000

geany-plugins (2.0-4ubuntu1) noble; urgency=medium

  * Add patches to switch plugins from webkit2gtk 4.0 to 4.1 (Closes: #1061406)
  * Update Build-Depends
  * Disable geniuschecker & updatechecker plugins: they both
    use libsoup2.4 and appear incompatible with plugins using
    webkit2gtk 4.1 (which uses libsoup3). Also, the updatechecker
    plugin does not seem useful for .deb packages.

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 23 Jan 2024 17:23:46 -0500
