=== debian/control ===
--- 
+++ 
@@ -1,30 +1,32 @@
 Source: geany-plugins
 Section: devel
 Priority: optional
-Maintainer: Geany Packaging Team <pkg-geany-team@lists.alioth.debian.org>
-Uploaders: Chow Loong Jin <hyperair@debian.org>, Evgeni Golov <evgeni@debian.org>
-Build-Depends: debhelper-compat (= 13),
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+# XSBC-Original-Maintainer: Geany Packaging Team <pkg-geany-team@lists.alioth.debian.org>
+Uploaders: Chow Loong Jin <hyperair@debian.org>,
+           Evgeni Golov <evgeni@debian.org>
+Build-Depends: debhelper-compat (= 12),
                dpkg-dev (>= 1.16.1~),
-               moreutils,
+               geany (>= 2.0),
                intltool (>= 0.35),
-               geany (>= 2.0-2~),
+               libctpl-dev (>= 0.3),
+               libenchant-2-dev (>= 2.2),
+               libgdk-pixbuf-2.0-dev,
+               libgit2-dev,
+               libglib2.0-dev (>= 2.18),
+               libgpgme11-dev,
                libgtk-3-dev,
-               libglib2.0-dev (>= 2.18),
-               libenchant-2-dev (>= 2.2),
                libgtkspell3-3-dev,
                liblua5.1-dev,
-               libctpl-dev (>= 0.3),
+               libmarkdown2-dev,
+               libsoup2.4-dev (>= 2.4.0),
+               libvte-2.91-dev,
+               libwebkit2gtk-4.1-dev | libwebkit2gtk-4.0-dev,
+               libxml2-dev (>= 2.6.27),
+               moreutils,
                python3-docutils,
-               libxml2-dev (>= 2.6.27),
-               libsoup2.4-dev (>= 2.4.0),
-               libgdk-pixbuf-2.0-dev,
-               libgpgme11-dev,
-               libvte-2.91-dev,
-               libwebkit2gtk-4.1-dev,
-               libmarkdown2-dev,
-               libgit2-dev,
-               valac (>= 0.7.0),
-               libvte-2.91-dev,
+               valac (>= 0.7.0)
 Standards-Version: 4.1.2
 Homepage: http://plugins.geany.org
 Vcs-Browser: https://salsa.debian.org/geany-team/geany-plugins
@@ -44,36 +46,37 @@
          geany-plugin-doc (>= ${source:Version}),
          geany-plugin-extrasel (>= ${source:Version}),
          geany-plugin-gendoc (>= ${source:Version}),
-         geany-plugin-geniuspaste (>= ${source:Version}),
+#         geany-plugin-geniuspaste (>= ${source:Version}),
          geany-plugin-git-changebar (>= ${source:Version}),
          geany-plugin-insertnum (>= ${source:Version}),
          geany-plugin-keyrecord (>= ${source:Version}),
          geany-plugin-latex (>= ${source:Version}),
+         geany-plugin-lineoperations (>= ${source:Version}),
          geany-plugin-lipsum (>= ${source:Version}),
+         geany-plugin-lsp (>= ${source:Version}),
          geany-plugin-lua (>= ${source:Version}),
-         geany-plugin-lineoperations (>= ${source:Version}),
          geany-plugin-macro (>= ${source:Version}),
          geany-plugin-markdown (>= ${source:Version}),
          geany-plugin-miniscript (>= ${source:Version}),
+         geany-plugin-numberedbookmarks (>= ${source:Version}),
          geany-plugin-overview (>= ${source:Version}),
-         geany-plugin-numberedbookmarks (>= ${source:Version}),
          geany-plugin-pairtaghighlighter (>= ${source:Version}),
          geany-plugin-pg (>= ${source:Version}),
          geany-plugin-pohelper (>= ${source:Version}),
+         geany-plugin-prettyprinter (>= ${source:Version}),
          geany-plugin-prj (>= ${source:Version}),
          geany-plugin-projectorganizer (>= ${source:Version}),
          geany-plugin-scope (>= ${source:Version}),
          geany-plugin-sendmail (>= ${source:Version}),
-         geany-plugin-tableconvert (>= ${source:Version}),
-         geany-plugin-vc (>= ${source:Version}),
-         geany-plugin-prettyprinter (>= ${source:Version}),
          geany-plugin-shiftcolumn (>= ${source:Version}),
          geany-plugin-spellcheck (>= ${source:Version}),
+         geany-plugin-tableconvert (>= ${source:Version}),
          geany-plugin-treebrowser (>= ${source:Version}),
-         geany-plugin-updatechecker (>= ${source:Version}),
+         geany-plugin-vc (>= ${source:Version}),
+         geany-plugin-vimode (>= ${source:Version}),
+#         geany-plugin-updatechecker (>= ${source:Version}),
          geany-plugin-webhelper (>= ${source:Version}),
          geany-plugin-workbench (>= ${source:Version}),
-         geany-plugin-vimode (>= ${source:Version}),
          geany-plugin-xmlsnippets (>= ${source:Version}),
          ${misc:Depends}
 Description: set of plugins for Geany
@@ -83,9 +86,7 @@
 
 Package: geany-plugins-common
 Architecture: any
-Depends: geany,
-         ${shlibs:Depends},
-         ${misc:Depends}
+Depends: geany, ${misc:Depends}, ${shlibs:Depends}
 Breaks: geany-plugin-addons (<< 0.19),
         geany-plugin-doc (<< 0.19),
         geany-plugin-gdb (<< 0.19),
@@ -94,9 +95,9 @@
         geany-plugin-lua (<< 0.19),
         geany-plugin-prj (<< 0.19),
         geany-plugin-sendmail (<< 0.19),
-        geany-plugin-vc (<< 0.19),
         geany-plugin-shiftcolumn (<< 0.19),
         geany-plugin-spellcheck (<< 0.19),
+        geany-plugin-vc (<< 0.19)
 Description: set of plugins for Geany (translations)
  This package contains translations for the Geany Plugins. You probably do not
  want to install this package directly, but instead install one of the other
@@ -105,8 +106,10 @@
 Package: geany-plugin-addons
 Enhances: geany
 Architecture: any
-Depends: ${geany:ABI}, geany-plugins-common (= ${binary:Version}),
-         ${shlibs:Depends}, ${misc:Depends}
+Depends: geany-plugins-common (= ${binary:Version}),
+         ${geany:ABI},
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: miscellaneous plugins for Geany
  This plugin adds various small addons to Geany which aren't worth an
  individual plugin, but might still be useful for people.
@@ -131,8 +134,10 @@
 Package: geany-plugin-autoclose
 Enhances: geany
 Architecture: any
-Depends: ${geany:ABI}, geany-plugins-common (= ${binary:Version}),
-         ${shlibs:Depends}, ${misc:Depends}
+Depends: geany-plugins-common (= ${binary:Version}),
+         ${geany:ABI},
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: auto-closing plugin for Geany
  This plugin enables auto-closing features. Auto-closing works while you typing
  and intellectually helps you to write code.
@@ -166,8 +171,10 @@
 Package: geany-plugin-automark
 Enhances: geany
 Architecture: any
-Depends: ${geany:ABI}, geany-plugins-common (= ${binary:Version}),
-         ${shlibs:Depends}, ${misc:Depends}
+Depends: geany-plugins-common (= ${binary:Version}),
+         ${geany:ABI},
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: auto-mark plugin for Geany
  This is a simple plugin that highlights all words that match current word
  under cursor (see screenshot).
@@ -178,8 +185,10 @@
 Package: geany-plugin-codenav
 Enhances: geany
 Architecture: any
-Depends: ${geany:ABI}, geany-plugins-common (= ${binary:Version}),
-         ${shlibs:Depends}, ${misc:Depends}
+Depends: geany-plugins-common (= ${binary:Version}),
+         ${geany:ABI},
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: code navigation plugin for Geany
  This plugin adds some facilities for navigating in code using Geany, making it
  possible to:
@@ -192,8 +201,10 @@
 Package: geany-plugin-commander
 Enhances: geany
 Architecture: any
-Depends: ${geany:ABI}, geany-plugins-common (= ${binary:Version}),
-         ${shlibs:Depends}, ${misc:Depends}
+Depends: geany-plugins-common (= ${binary:Version}),
+         ${geany:ABI},
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: command panel plugin for Geany
  This plugin adds a command panel to Geany for rapid access to any action.
  .
@@ -203,9 +214,11 @@
 Package: geany-plugin-ctags
 Enhances: geany
 Architecture: any
-Depends: ${geany:ABI}, geany-plugins-common (= ${binary:Version}),
+Depends: geany-plugins-common (= ${binary:Version}),
          universal-ctags,
-         ${shlibs:Depends}, ${misc:Depends}
+         ${geany:ABI},
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: ctags plugin for Geany
  GeanyCtags adds a simple support for generating and querying ctags files
  for a Geany project.
@@ -225,8 +238,11 @@
 Package: geany-plugin-debugger
 Enhances: geany
 Architecture: any
-Depends: ${geany:ABI}, geany-plugins-common (= ${binary:Version}),
-         ${shlibs:Depends}, ${misc:Depends}, gdb (>= 7.7)
+Depends: gdb (>= 7.7),
+         geany-plugins-common (= ${binary:Version}),
+         ${geany:ABI},
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: debugger plugin for Geany
  Features:
   * Debugger panel
@@ -247,8 +263,10 @@
 Package: geany-plugin-defineformat
 Enhances: geany
 Architecture: any
-Depends: ${geany:ABI}, geany-plugins-common (= ${binary:Version}),
-         ${shlibs:Depends}, ${misc:Depends}
+Depends: geany-plugins-common (= ${binary:Version}),
+         ${geany:ABI},
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: on-the-fly #define prettyprinter plugin for Geany
  This plugin will help you to write multiline defines with aligned backslash.
  .
@@ -269,12 +287,3 @@
 # APIs. Check your package manager and/or Google and you should have no trouble
 # finding books that can be viewed with Devhelp.
 # .
-# Geany is a small and lightweight integrated development environment using the
-# GTK+ toolkit.
-
-Package: geany-plugin-doc
-Enhances: geany
-Architecture: any
-Depends: ${geany:ABI}, geany-plugins-common (= ${binary:Version}),
-         ${shlibs:Depends}, ${misc:Depends}
-Description: documentation plugin for Geany
