=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #!/usr/bin/make -f
 
 include /usr/share/dpkg/buildflags.mk
-include /usr/share/dpkg/architecture.mk
 
 export LDFLAGS += -Wl,--as-needed -Wl,-z,defs
 
@@ -35,12 +34,13 @@
                 --enable-geanypg                        \
                 --enable-geanyprj                       \
                 --enable-geanyvc                        \
-                --enable-geniuspaste                    \
+                --disable-geniuspaste                    \
                 --enable-gitchangebar                   \
                 --enable-keyrecord                      \
                 --enable-latex                          \
                 --enable-lineoperations                 \
                 --enable-lipsum                         \
+                --enable-lsp                            \
                 --enable-markdown                       \
                 --enable-overview                       \
                 --enable-pairtaghighlighter             \
@@ -53,7 +53,7 @@
                 --enable-spellcheck                     \
                 --enable-tableconvert                   \
                 --enable-treebrowser                    \
-                --enable-updatechecker                  \
+                --disable-updatechecker                  \
                 --enable-vimode                         \
                 --enable-webhelper                      \
                 --enable-workbench                      \
@@ -75,8 +75,14 @@
 	dh_installchangelogs
 
 # add geany:Version substvar to debian/*.substvars
-override_dh_gencontrol:
-	. /usr/lib/$(DEB_HOST_MULTIARCH)/geany/debian-abi-helper && \
+debian/dumpabiver: debian/dumpabiver.c
+	$(CC) -o $@ $< $(shell pkg-config --cflags geany)
+
+debian/abiversion.sh: debian/dumpabiver
+	$< > $@
+
+override_dh_gencontrol: debian/abiversion.sh
+	. debian/abiversion.sh && \
 	dh_gencontrol -- \
 		"-Vgeany:Version=$(GEANY_VERSION)" \
 		"-Vgeany:API=$${GEANY_ABI}" \
@@ -101,5 +107,10 @@
 override_dh_missing:
 	dh_missing --fail-missing -Xusr/share/doc/geany-plugins/ -X.la
 
+# No dbgsym packages:
+override_dh_strip:
+	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
+	dh_strip --no-automatic-dbgsym
+
 %:
 	dh $@ --with=autoreconf
